%define shortname indi

Summary: Library to control astronomical devices
Name: indilib
Version: 0.9
Release: %mkrel 1
Source0: http://downloads.sourceforge.net/indi/libindi_%version.tar.gz
Patch1: libindi-0.8-libsuffix.patch
Patch2: libindi0_0.6-fix-str-fmt.patch
License: LGPLv2+
Group: Development/C
Url: http://indi.sourceforge.net/
BuildRequires: zlib-devel libusb-devel
BuildRequires: cfitsio-devel >= 3.090
BuildRequires: libfli-devel
BuildRequires: cmake
BuildRequires: boost-devel
Provides: indi = %version-%release

%description
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README TODO
%_bindir/*
%_datadir/%shortname

#--------------------------------------------------------------------

%define major 0
%define libname %mklibname %shortname %major

%package -n %libname
Summary: Librar file for INDI
Group: Development/C

%description -n %libname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains library files of indilib.

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %shortname
%package -n %develname
Summary: INDI devellopment files
Group: Development/C
Requires: %libname = %version
Provides: indi-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains files need to build applications using indilib.

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog README* NEWS
%_libdir/*.so
%_libdir/*.a
%_libdir/pkgconfig/libindi.pc
%_includedir/libindi/*.h

#--------------------------------------------------------------------

%prep
%setup -q -n libindi-%version

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build



%changelog

* Sat Jan 14 2012 fwang <fwang> 0.9-1.mga2
+ Revision: 195892
- new version 0.9

* Mon Jun 27 2011 dmorgan <dmorgan> 0.8-1.mga2
+ Revision: 114962
- add boost-devel as buildrequires
- New version 0.8
  Rediff P1
  Fix package layout

* Sat Jan 22 2011 ahmad <ahmad> 0.6.2-1.mga1
+ Revision: 33224
- imported package indilib

